#
# spec file for package libid3tag
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libid3tag
%define lname	libid3tag0
Summary:        ID3 Tag Manipulation Library
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Version:        0.15.1b
Release:        185.3
Url:            http://www.underbit.com/products/mad/

Source:         %{name}-%{version}.tar.bz2
Patch:          libid3tag-noweak.dif
Patch1:         libid3tag-gperf.dif
Patch2:         libid3tag-0.15.1b-mb.diff
Patch3:         libid3tag-automake-fix.dif
Patch4:         libid3tag-optflags.patch
Patch5:         libid3tag-0.15.1b-fix_overflow.patch
Patch6:         libid3tag-visibility.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gperf
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  zlib-devel

%description
libid3tag is a library for reading and writing ID3 tags, both ID3v1 and
the various versions of ID3v2.

%package -n %lname
Summary:        ID3 Tag Manipulation Library
Group:          System/Libraries
# O/P added for 12.3
Obsoletes:      libid3tag < %version-%release
Provides:       libid3tag = %version-%release

%description -n %lname
libid3tag is a library for reading and writing ID3 tags, both ID3v1 and
the various versions of ID3v2.

%package devel
Summary:        Development package for libid3tag library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Requires:       glibc-devel

%description devel
This package contains the header files and static libraries needed to
develop applications with libid3tag.

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%build
autoreconf -fiv
%configure --disable-static
make %{?_smp_mflags}
echo -e "prefix=%_prefix\nexec_prefix=%_prefix\nlibdir=%_libdir\nincludedir=%_includedir\nName: id3tag\nDescription: ID3 tag library\nRequires:\nVersion: %version\nLibs: -L%_libdir -lid3tag\nCflags: -I%_includedir\n" > id3tag.pc

%install
make install DESTDIR="%buildroot"
install -m 644 -D id3tag.pc %{buildroot}%{_libdir}/pkgconfig/id3tag.pc
rm -f $RPM_BUILD_ROOT%{_libdir}/libid3tag*.*a

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%{_libdir}/libid3tag.so.0*

%files devel
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO VERSION
%{_includedir}/*
%{_libdir}/libid3tag.so
%{_libdir}/pkgconfig/id3tag.pc

%changelog
* Fri Nov 23 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
- Employ shared library naming
- Have makeinstall succeed on non-SUSE
* Thu Nov 22 2012 crrodriguez@opensuse.org
- libid3tag-visibility.patch: Hide all symbols that are not
  part of the public API.
- spec file: DO not inject bogus dependencies into the
  system via pkgconfig files.
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Apr 12 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Added BuildRequires:  pkg-config (fixes RPMLINT warning)
* Thu May  8 2008 tiwai@suse.de
- VUL-0: libid3tag overflow (CVE-2008-2109, bnc#387731)
- don't install static and *.la files
- clean up spec file
* Thu Mar 29 2007 meissner@suse.de
- zlib-devel to buildrequires
* Tue Oct 31 2006 meissner@suse.de
- fixed configure.ac to accept more than 1 -O/-f option, added
  requires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 tiwai@suse.de
- compile with -fstack-protector.
* Mon Jul  5 2004 hvogel@suse.de
- add pgkconfig file
* Thu Feb 26 2004 tiwai@suse.de
- updated to version 0.15.1b.
- fixed memory allocation check.
- fixed for autoreconf.
* Tue Jan 13 2004 tiwai@suse.de
- build as non-root.
* Mon Aug 11 2003 tiwai@suse.de
- fixed the handling of v2 tag.
* Thu Jul  3 2003 tiwai@suse.de
- split from mad: version 0.15.0b.
